> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Update Journal Entries Status (bulk)

POST https://api.gappify.com/v1/qje/bulk-update
Content-Type: application/json

To facilitate accurate and consistent updates to Gappify JE records (debit and credit pair), Gappify
is introducing a [new endpoint](/api-reference/outbound-from-gappify/journal-entries/bulk-update-group-id-qje-transactions) that will update both the debit/credit lines with a single post call. With the introduction of this [new endpoint](/api-reference/outbound-from-gappify/journal-entries/bulk-update-group-id-qje-transactions), this endpoint will be **deprecated starting July 1, 2025**. Please update your integrations to leverage the [new endpoint](/api-reference/outbound-from-gappify/journal-entries/bulk-update-group-id-qje-transactions) as soon as possible. Contact [support@gappify.com](mailto:support@gappify.com) if you need any assistance with this migration.

This endpoint supports the ability to update the status of multiple Gappify JE records based on the posting status within the ERP system. The request requires the use of `id` as the Gappify record identifier and providing status of the JE (Posted, Failed) along with the appropriate accompanying `je_id` (when successful) OR `error_details` (when unsuccessful). This endpoint supports an array of JE updates.

Reference: https://developers.gappify.com/api-reference/outbound-from-gappify/journal-entries/bulk-update-qje-transactions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Body (application/json)

This endpoint expects a list of QJEObject.

- `list of QJEObject`

## Response

### 202

Journal entry updated successfully.

- `request_id` (UUID, required) — Unique identifier for the request
- `status` ("IN_PROGRESS", required) — Status of the request

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### QJEObject

A QJE item to be updated

- `id` (integer, required) — Record Id of the QJE from Gappify's system.
- `je_id` (string, required) — This is _required_ only if the success key is set to true. This is the Record Id of the resulting journal entry in the customer ERP, this value will be used to create link between Gappify QJE and Customer's journal entry. Upon successful creation in the ERP system, update Gappify with a valid non null value to change status to POSTED.
- `success` (boolean, required) — Sets the status to either "Posted" (if true) or "Failed" if false. This helps to clearly indicate if the customer's ERP has a successful posting or has had an error.
- `error_details` (string, optional) — Update the field with error details upon failure to POS JE to the respective system. This is optional when success field is false but can be useful to provide additional context.

## Examples

**Request**

```json
[
  {
    "id": 1,
    "je_id": "je_id",
    "success": true
  },
  {
    "id": 1,
    "je_id": "je_id",
    "success": true
  }
]
```

**Response**

```json
{
  "request_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "status": "IN_PROGRESS"
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/qje/bulk-update"

payload = [
    {
        "id": 1,
        "je_id": "je_id",
        "success": True
    },
    {
        "id": 1,
        "je_id": "je_id",
        "success": True
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/qje/bulk-update';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"id":1,"je_id":"je_id","success":true},{"id":1,"je_id":"je_id","success":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/qje/bulk-update"

	payload := strings.NewReader("[\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  },\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/qje/bulk-update")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  },\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.gappify.com/v1/qje/bulk-update")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  },\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.gappify.com/v1/qje/bulk-update', [
  'body' => '[
  {
    "id": 1,
    "je_id": "je_id",
    "success": true
  },
  {
    "id": 1,
    "je_id": "je_id",
    "success": true
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/qje/bulk-update");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  },\n  {\n    \"id\": 1,\n    \"je_id\": \"je_id\",\n    \"success\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "id": 1,
    "je_id": "je_id",
    "success": true
  ],
  [
    "id": 1,
    "je_id": "je_id",
    "success": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/qje/bulk-update")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```